accrue

## Class AccrueJLOptions

- java.lang.Object
- - polyglot.main.Options
  - - accrue.AccrueJLOptions

- All Implemented Interfaces:
    AccrueOptions

      public class AccrueJLOptions
      extends polyglot.main.Options
      implements AccrueOptions

  Polyglot options for an object sensitive analysis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AccrueOptionsHelper` | `helper`

    - ### Fields inherited from class polyglot.main.Options

      `arguments, assertions, bootclasspath, bootclasspath_given, class_output, classpath, classpath_given, compile_command_line_only, disable_passes, dump_ast, error_count, extension, flags, fully_qualified_names, generate_debugging_info, global, ignore_mod_times, keep_output_files, merge_strings, noOutputToFS, output_ext, output_source_only, output_stdout, output_width, post_compiler, post_compiler_opts, precise_compiler_generated_positions, print_args, print_ast, serialize_type_info, source_ext, source_output, source_path, sourcepath_directories, USAGE_FLAG_WIDTH, USAGE_SCREEN_WIDTH, USAGE_SUBSECTION_INDENT, use_simple_code_writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccrueJLOptions(polyglot.frontend.ExtensionInfo extension)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleArg(polyglot.main.OptFlag.Arg<?> arg)`
    `AccrueOptionsHelper` | `helper()`
    `protected void` | `populateFlags(java.util.Set<polyglot.main.OptFlag<?>> flags)`
    `protected void` | `validateArgs()`

    - ### Methods inherited from class polyglot.main.Options

      `addBootCP, addDisablePass, addDumpAST, addPrintAST, addReportTopic, addSourceExtension, applyArgs, arguments, bootclasspathDirectories, classOutputDirectory, classOutputLocation, classpathDirectories, constructPostCompilerClasspath, defaultPlatformClasspath, filterArgs, flags, handleSourceArg, jvmbootclasspath, outputLocation, parseCommand, parseCommandLine, parseSourceArg, postApplyArgs, printCommandLine, printSpaces, processArguments, sccast, setAssertions, setBootclasspath, setClassOutput, setClasspath, setCommandLineOnly, setDebugPositions, setDefaultValues, setErrorCount, setFullyQualifiedNames, setGenerateDebugInfo, setIgnoreModTimes, setMergeStrings, setNoOutput, setNoSerializedTypes, setOutputExtension, setOutputOnly, setOutputStdOut, setOutputWidth, setPostCompiler, setPostCompilerOpts, setSimpleOutput, setSourceOutput, setSourcepath, setVerbose, sourceOutputDirectory, usage, usage, usageForFlag, usageHeader, usageSubsection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### helper

          protected AccrueOptionsHelper helper

  - ### Constructor Detail

    - #### AccrueJLOptions

          public AccrueJLOptions(polyglot.frontend.ExtensionInfo extension)

  - ### Method Detail

    - #### helper

          public AccrueOptionsHelper helper()

      Specified by:
        `helper` in interface `AccrueOptions`

    - #### populateFlags

          protected void populateFlags(java.util.Set<polyglot.main.OptFlag<?>> flags)

      Overrides:
        `populateFlags` in class `polyglot.main.Options`

    - #### handleArg

          protected void handleArg(polyglot.main.OptFlag.Arg<?> arg)
                            throws polyglot.main.UsageError

      Overrides:
        `handleArg` in class `polyglot.main.Options`
      Throws:
        `polyglot.main.UsageError`

    - #### validateArgs

          protected void validateArgs()
                               throws polyglot.main.UsageError

      Overrides:
        `validateArgs` in class `polyglot.main.Options`
      Throws:
        `polyglot.main.UsageError`